<?php
// Configuración del tiempo de expiración de la sesión
$tiempoExpiracion = 7200; // 2 horas en segundos

// Iniciar la sesión si no está ya iniciada
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

// Función para mantener la sesión activa y verificar la sesión
function verificarSesionActiva($tiempoExpiracion) {
    // Verificar si 'ultima_actividad' está configurada y actualizada
    if (isset($_SESSION['ultima_actividad'])) {
        // Si la última actividad fue hace más tiempo que el tiempo de expiración, cerrar sesión
        if (time() - $_SESSION['ultima_actividad'] > $tiempoExpiracion) {
            session_unset();    // Eliminar todas las variables de sesión
            session_destroy();  // Destruir la sesión
            return false;       // Sesión no activa
        } else {
            // Actualizar la última actividad
            $_SESSION['ultima_actividad'] = time();

            // Verificar la existencia de $_SESSION["bodegaUser"]
            if (isset($_SESSION["bodegaUser"])) {
                return true;    // Sesión activa y válida
            } else {
                return false;   // Sesión no válida
            }
        }
    } else {
        // Si 'ultima_actividad' no está configurada, la sesión no es válida
        return false;
    }
}

// Verificar y devolver el estado de la sesión
echo verificarSesionActiva($tiempoExpiracion) ? "true" : "false";
?>


